Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.output
Class CDATAFilter

    java.lang.Object
      |
      +--com.icl.saxon.output.Emitter
            |
            +--com.icl.saxon.output.ProxyEmitter
                  |
                  +--com.icl.saxon.output.CDATAFilter

All Implemented Interfaces:
  javax.xml.transform.Result

public class CDATAFilter
extends ProxyEmitter

CDATAFilter: This ProxyEmitter converts character data to CDATA sections, if the character data belongs to one of a set of element types to be handled this way.

Fields inherited from class com.icl.saxon.output.ProxyEmitter
`baseEmitter, outputProperties`

Fields inherited from class com.icl.saxon.output.Emitter
`locator, namePool, outputStream, systemId, writer`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`CDATAFilter()`

Method Summary
`void` | `characters(char[] chars, int start, int len)` Output character data
`void` | `comment(char[] chars, int start, int len)` Output a comment
`void` | `endElement(int nameCode)` Output element end tag
`void` | `flush(java.lang.StringBuffer buffer)` Flush the buffer containing accumulated character data, generating it as CDATA where appropriate
`void` | `ignorableWhitespace(char[] chars, int start, int len)` Output ignorable white space
`boolean` | `isCDATA(int fingerprint)` See if a particular element is a CDATA element
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` Output a processing instruction
`void` | `setEscaping(boolean escaping)` Set escaping on or off
`void` | `setOutputProperties(java.util.Properties details)` Set output properties
`void` | `startElement(int nameCode, org.xml.sax.Attributes atts, int[] namespaces, int nscount)` Output element start tag

Methods inherited from class com.icl.saxon.output.ProxyEmitter
`endDocument, setDocumentLocator, setNamePool, setUnderlyingEmitter, setUnparsedEntity, setWriter, startDocument`

Methods inherited from class com.icl.saxon.output.Emitter
`getNamePool, getOutputProperties, getOutputStream, getSystemId, getWriter, makeEmitter, setOutputStream, setSystemId, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDATAFilter

    public CDATAFilter()

Method Detail

### startElement

    public void startElement(int nameCode,
                             org.xml.sax.Attributes atts,
                             int[] namespaces,
                             int nscount)
                      throws javax.xml.transform.TransformerException

  Output element start tag
  Overrides:
    `startElement` in class `ProxyEmitter`
  Following copied from class: `com.icl.saxon.output.Emitter`
  Parameters:
    `namespaces` - Array of namespace codes identifying the namespace prefix/uri pairs associated with this element
    `nscount` - Number of significant entries within namespaces array

### endElement

    public void endElement(int nameCode)
                    throws javax.xml.transform.TransformerException

  Output element end tag
  Overrides:
    `endElement` in class `ProxyEmitter`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws javax.xml.transform.TransformerException

  Output a processing instruction
  Overrides:
    `processingInstruction` in class `ProxyEmitter`

### characters

    public void characters(char[] chars,
                           int start,
                           int len)
                    throws javax.xml.transform.TransformerException

  Output character data
  Overrides:
    `characters` in class `ProxyEmitter`

### ignorableWhitespace

    public void ignorableWhitespace(char[] chars,
                                    int start,
                                    int len)
                             throws javax.xml.transform.TransformerException

  Output ignorable white space

### comment

    public void comment(char[] chars,
                        int start,
                        int len)
                 throws javax.xml.transform.TransformerException

  Output a comment
  Overrides:
    `comment` in class `ProxyEmitter`

### setEscaping

    public void setEscaping(boolean escaping)
                     throws javax.xml.transform.TransformerException

  Set escaping on or off
  Overrides:
    `setEscaping` in class `ProxyEmitter`

### flush

    public void flush(java.lang.StringBuffer buffer)
               throws javax.xml.transform.TransformerException

  Flush the buffer containing accumulated character data, generating it as CDATA where appropriate

### setOutputProperties

    public void setOutputProperties(java.util.Properties details)

  Set output properties
  Overrides:
    `setOutputProperties` in class `ProxyEmitter`

### isCDATA

    public boolean isCDATA(int fingerprint)

  See if a particular element is a CDATA element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD